<?php

/**
 * Raw transaction notify message receiving example
 * 
 * @see MBSLib/examples/simple/notify_direct.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

include_once(dirname(__FILE__).'/../../lib/Direct.class.php');

// Inicijuojame Direct apmokėjimų biblioteką
define('MBS_SERVICE_ID', 60543);
define('MBS_SECRET_KEY', 'test');
$mbs = new Direct(MBS_SERVICE_ID, null, MBS_SECRET_KEY);

// Konfigūracija
$config['servers'] = array('213.226.139.33', '213.226.139.42', '213.226.139.43', '193.105.49.4', '193.105.49.5');

if (in_array( $_SERVER['REMOTE_ADDR'], $config['servers'] ) ) {
    if( $mbs->verifyArrayLow($_GET) ) {
    	// Apmokėjimo pabaiga ir GET rasti teisingi duomenys
    	if( $transaction=$mbs->getBillInformation() ) {
    		/** ... cia surenkama apmokėjimų statistika ... **/
    		$statistika_surinkta = true;
    		
    		$response = array('TRUE');
    	} else {
            $response = array('FALSE', $mbs->getError());
    	}
    // Sufalsifikuoti GET parametrai
    } else {
        $response = array('ERROR', 'Siuntejas ne MBS');
    }
// Nežinomo serverio GET parametrai
} else {
    $response = array('ERROR', 'Nezinomas serveris');
}

// Paslaugos atsakymas MBS sistemai
echo implode(';', array_map('urlencode', $response));

?>