<?php
/**
 * Raw WEB billing example (using redirect)
 * 
 * @see MBSLib/examples/simple/bank_bill_goods.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

include_once(dirname(__FILE__).'/../../lib/Bank.class.php');

// Inicijuojame WEB apmokėjimų biblioteką
define('MBS_SERVICE_ID', 70167);
define('MBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('MBS_SECRET_KEY', 'test-test-test-test');
$bank = new Bank(MBS_SERVICE_ID, MBS_SECRET_KEY, MBS_BACK_URL);

// Apmokėjimo inicijavimas
$url = $bank->getBillUrl(array('after_bill' => 'yes'), time(), null, 'Kiek auksinių trūksta?');

// Apmokėjimo pabaiga ir GET rasti teisingi duomenys
if (isset($_GET['after_bill']) && $transaction=$bank->getBillInformation()) {
	// Tranzakcija sėkmingai apmokėta
    if ($transaction['status']=='commit') {
		/** ... cia suteikiama paslauga ... **/
	    $paslauga_suteikta = true;
	
	    echo "Jūs nusipirkote ". $transaction['value'] ." auksinių";
	// Tranzakcija neapmokėta
	} else {
	    echo "Tranzakcija neapmokėta. ". $bank->getStatusDescription($transaction['state']);
	}
}

echo '<br/><a href="'. $url .'" >Pildyti auksinių<a/>';

?>