<?php
/**
 * Raw SMS keyword notify message receiving example
 * 
 * @see MBSLib/examples/simple/notify_sms.php
 *
 * @package RawExamples
 * @author Liutauras Ričkus <lr@vero.lt>
 * @author Valdas Petrulis <vpe@vero.lt>
 */

// Inicijuojame MBS funkcijų biblioteką
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');
$mbs_base = new MBSBase();
$mbs_base->setSecretKey('test');

// Konfigūracija
$config['servers'] = array('213.226.139.33', '213.226.139.42', '213.226.139.43', '193.105.49.4', '193.105.49.5');

// Nusiskaitome pagrindinius SMS duomenis
$from = $_GET['From'];
$module = $_GET['ModuleName'];
$msisdn = $_GET['Msisdn'];
$number = $_GET['Number'];
$operator = $_GET['Operator'];
$sms = $_GET['Sms'];

// Nežinomo serverio GET parametrai
if ( !in_array( $_SERVER['REMOTE_ADDR'], $config['servers'] ) ) {
	echo 'Klaida: nezinomas serveris';
	exit();
}

// Sufalsifikuoti GET parametrai
if( !$mbs_base->verifyArrayHigh($_GET) ) {
    echo 'Klaida: siuntejas ne MBS';
    exit();
}

// Paslaugos logika
if ( substr($sms, -1)=='s' ) {
	$response = array('SMS', 'Zinutes pabaigoje "s" raide');
} else {
	$response = array('SMS', 'Zinutes pabaigoje nera raides "s"');
}

// Paslaugos atsakymas vartotojui
echo implode(';', array_map('urlencode', $response));

?>