<?php
/**
 * Raw WAP unregistration example (using redirect)
 * 
 * @see MBSLib/examples/simple/wap_unregister.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/SBBS.class.php');

// Inicijuojame SBBS apmokėjimų biblioteką
define('SBBS_MBS_SERVICE_ID', 2);
define('SBBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('SBBS_SECRET_KEY', 'test');
$sbbs = new SBBS(SBBS_MBS_SERVICE_ID, null, SBBS_BACK_URL, SBBS_SECRET_KEY);

// Išregistravimo inicijavimas
if (!isset($_GET['after_unregister'])) {
    $sbbs->unregisterRedirect(array(
        'after_unregister' => 'yes',
    ), time());
// Išregistravimo pabaiga ir GET rasti teisingi duomenys 
} else if ($transaction=$sbbs->getUnregisterInformation()) {
	// Išregistravimas sėkmingas
	if ($transaction['subscriber_status']=='removed' ) {
        echo 'Vartotojas išregistruotas';
    // Išregistravimas nepavyko
    } else {
        echo 'Vartotojo išregistruoti nepavyko';
    }
// Išregistravimo pabaiga, bet GET duomenys neteisingi
} else {
	echo "Išregistravimo klaida: ".$sbbs->getError();
}

?>