<?php
/**
 * Raw WAP unregistration example (using SOAP service and redirect)
 * 
 * @see MBSLib/examples/simple/wap_unregister_soap.php
 *
 * @package RawExamples
 * @author Šarūnas Davalga <sd@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/Identify.class.php');
include_once(dirname(__FILE__).'/../../lib/SBBS.class.php');

// Inicijuojame MBS identifikavimo biblioteką
define('IDENTIFY_SERVICE_ID', 1);
define('IDENTIFY_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('IDENTIFY_SECRET_KEY', 'test');
$identify = new Identify(IDENTIFY_SERVICE_ID, IDENTIFY_SECRET_KEY, IDENTIFY_BACK_URL);

// Inicijuojame SBBS apmokėjimų biblioteką
define('SBBS_MBS_SERVICE_ID', 2);
define('SBBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
$sbbs = new SBBS(SBBS_MBS_SERVICE_ID, null, SBBS_BACK_URL);

// Išregistravimo inicijavimas
if (!isset($_GET['after_unregister'])) {
    $sbbs->unregister(array(
        'after_unregister' => 'yes',
    ));
// Išregistravimo pabaiga
} else {
	// Išregistravimas sėkmingas
    if ($sbbs->isActive($identify->getAccount())) {
        echo 'Vartotojas išregistruotas';
        print_r($sbbs->GetInfo($identify->getAccount()));
    // Išregistravimas nepavyko
    } else {
        echo 'Vartotojo išregistruoti nepavyko';
    }
}

?>